Web lists-archives.com

[ANNOUNCEMENT] gnutls 3.5.11-1




The following packages have been uploaded to the Cygwin distribution:

* gnutls-3.5.11-1
* libgnutls28-3.3.27-1
* libgnutls30-3.5.11-1
* libgnutls-dane0-3.5.11-1
* libgnutlsxx28-3.5.11-1
* libgnutls-devel-3.5.11-1
* libgnutls-doc-3.5.11-1
* guile-gnutls-3.5.11-1
* mingw64-i686-gnutls-3.5.11-1
* mingw64-x86_64-gnutls-3.5.11-1

GnuTLS is a secure communications library implementing the SSL, TLS and 
DTLS protocols and technologies around them. It provides a simple C 
language application programming interface (API) to access the secure 
communications protocols as well as APIs to parse and write X.509, PKCS#12, 
OpenPGP and other required structures.

This is an update to the latest upstream release, which includes fixes for 
CVE-2016-7444, CVE-2017-5334, CVE-2017-5335, CVE-2017-5336, and CVE-2017-5337:

https://gnutls.org/security.html

This release also includes several packaging changes:

* ABI/API break in the main library, now packaged as libgnutls30;

* the C++ bindings, which did not break ABI/API, are in a separate package;

* DANE library added as a separate package;

* the Guile bindings are built for Guile 2.0;

* depends on the new nettle-3.3.

An update to the latest 3.3 maintenance release of libgnutls28 -- without 
the C++ bindings -- has also been made available for packages which have 
yet to be rebuilt.

--
Yaakov

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple